package jsr.daemon.jni;

import jsr.daemon.*;

/**
 * adapter class for docking a native listener if applicable
 *
 * Native daemon containers might use this class for implementing a listener interface.
 *
 * Note: ".jni" named sub-packages are not considered to be part of the Java daemon api.
 *       They are supplied as native implementation helpers, only.
 *
 * @author   Thomas Kopp
 * @version  0.9, 2000-11-16
 */
public class NativeDaemonAdapter implements DaemonListener {
   
    /**
     * method called by a daemon if activity state changes
     * @param daemon the daemon changing its activity state
     * @param active flag indicating the target activity state
     * @param throwable a throwable for indicating a possible exception
     */
    public native void active(Daemon daemon, boolean active, Throwable throwable);
}
